Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Adding jruby-openssl in Gemfile by default. #jruby #390

Merged
merged 1 commit into from

2 participants

@arunagw
Collaborator

Need jruby-openssl until they merged it with Jruby.

@josevalim josevalim merged commit 3e9bb54 into from
@tomstuart tomstuart referenced this pull request from a commit in econsultancy/rails
@maxlapshin maxlapshin Support multiple schemas in table names for postgresql [#390 state:re…
…solved]

Signed-off-by: Pratik Naik <pratiknaik@gmail.com>
70de8e6
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on May 5, 2011
  1. @arunagw
This page is out of date. Refresh to see the latest.
View
1  railties/lib/rails/generators/rails/app/templates/Gemfile
@@ -4,6 +4,7 @@ source 'http://rubygems.org'
<%= database_gemfile_entry -%>
+<%= "gem 'jruby-openssl'\n" if defined?(JRUBY_VERSION) && JRUBY_VERSION < "1.6" -%>
# Asset template engines
<%= "gem 'json'\n" if RUBY_VERSION < "1.9.2" -%>
gem 'sass'
View
1  railties/test/generators/app_generator_test.rb
@@ -135,6 +135,7 @@ def test_config_jdbcmysql_database
run_generator([destination_root, "-d", "jdbcmysql"])
assert_file "config/database.yml", /jdbcmysql/
assert_file "Gemfile", /^gem\s+["']activerecord-jdbcmysql-adapter["']$/
+ assert_file "Gemfile", /^gem\s+["']jruby-openssl["']$/ if defined?(JRUBY_VERSION) && JRUBY_VERSION < "1.6"
end
def test_config_jdbcsqlite3_database
Something went wrong with that request. Please try again.